/*
 * freescope - Free source browser
 * Copyright (C) 2001  Olivier Deme
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

/*
 * FILE:        readconfig.h
 *
 * DESCRIPTION: This file contains definitions required for reading
 *              configuration file.
 */

#ifndef _READCONFIG_H_
#define _READCONFIG_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/********************/
/* TYPE DEFINITIONS */
/********************/

typedef void (*SET_DB_FILE) (char* db_file);
typedef void (*SET_INPUT_FILE) (char* input_file);
typedef void (*SET_UPDATE_ON_STARTUP) (int update);
typedef int  (*SET_KEY) (char key);


/*************************/
/* EXTERNAL DECLARATIONS */
/*************************/

extern SET_DB_FILE           g_set_db_file;
extern SET_INPUT_FILE        g_set_input_file;
extern SET_UPDATE_ON_STARTUP g_set_update_on_startup;
extern SET_KEY               g_set_key_next_selection;
extern SET_KEY               g_set_key_prev_selection;
extern SET_KEY               g_set_key_next_page;
extern SET_KEY               g_set_key_prev_page;
extern SET_KEY               g_set_key_next_query;
extern SET_KEY               g_set_key_prev_query;
extern SET_KEY               g_set_key_switch_mode;
extern SET_KEY               g_set_key_next_completion;
extern SET_KEY               g_set_key_prev_completion;
extern SET_KEY               g_set_key_rebuild_db;
extern SET_KEY               g_set_key_help;
extern SET_KEY               g_set_key_history_forward;
extern SET_KEY               g_set_key_history_backward;

extern void read_config (char* config_file);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _READCONFIG_H_ */
