/*
 * freescope - Free source browser
 * Copyright (C) 2001  Olivier Deme
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

%{

#include "readconfig_yy.h"

int g_config_lineno = 1;

%}

SEPARATOR       [\t ]+
WORD            [^'" \t\n]+

%%

{SEPARATOR}     ;

^#.*$           ;

^{SEPARATOR}*DB_FILE {
    configlval.string = yytext;
    return DB_FILE;
}

^{SEPARATOR}*INPUT_FILE {
    configlval.string = yytext;
    return INPUT_FILE;
}

^{SEPARATOR}*UPDATE_ON_STARTUP {
    configlval.string = yytext;
    return UPDATE_ON_STARTUP;
}

^{SEPARATOR}*KEY_NEXT_SELECTION {
    configlval.string = yytext;
    return KEY_NEXT_SELECTION;
}

^{SEPARATOR}*KEY_PREV_SELECTION {
    configlval.string = yytext;
    return KEY_PREV_SELECTION;
}

^{SEPARATOR}*KEY_NEXT_PAGE {
    configlval.string = yytext;
    return KEY_NEXT_PAGE;
}

^{SEPARATOR}*KEY_PREV_PAGE {
    configlval.string = yytext;
    return KEY_PREV_PAGE;
}

^{SEPARATOR}*KEY_NEXT_QUERY {
    configlval.string = yytext;
    return KEY_NEXT_QUERY;
}

^{SEPARATOR}*KEY_PREV_QUERY {
    configlval.string = yytext;
    return KEY_PREV_QUERY;
}

^{SEPARATOR}*KEY_SWITCH_MODE {
    configlval.string = yytext;
    return KEY_SWITCH_MODE;
}

^{SEPARATOR}*KEY_NEXT_COMPLETION {
    configlval.string = yytext;
    return KEY_NEXT_COMPLETION;
}

^{SEPARATOR}*KEY_PREV_COMPLETION {
    configlval.string = yytext;
    return KEY_PREV_COMPLETION;
}

^{SEPARATOR}*KEY_REBUILD_DB {
    configlval.string = yytext;
    return KEY_REBUILD_DB;
}

^{SEPARATOR}*KEY_HELP {
    configlval.string = yytext;
    return KEY_HELP;
}

^{SEPARATOR}*KEY_HISTORY_FORWARD {
    configlval.string = yytext;
    return KEY_HISTORY_FORWARD;
}

^{SEPARATOR}*KEY_HISTORY_BACKWARD {
    configlval.string = yytext;
    return KEY_HISTORY_BACKWARD;
}

[Yy][Ee][Ss] {
    configlval.string = yytext;
    return YES;
}

[Nn][Oo] {
    configlval.string = yytext;
    return NO;
}

. {
    configlval.character = *yytext;
    return CHARACTER;
}


[^'" \t\n]+ {
    configlval.string = yytext;
    return STRING;
}

^{SEPARATOR}*\n { ++g_config_lineno; };

{SEPARATOR}*\n { ++g_config_lineno; return EOL; }

<<EOF>> { return 0; }

%%
